import { reactive } from 'vue'

const params = reactive({

  runFlows: null, // mock 车流执行函数挂载
  updateFlows: null, // mock 车流更新方法挂载
})

// sets
const setRunFlows = (e) => {
  params.runFlows = e
}

const setUpdateFlows = (e) => {
  params.updateFlows = e
}

// gets
const getRunFlows = () => {
  return params.runFlows
}

const getUpdateFlows = (e) => {
  return params.updateFlows
}


export {
  setRunFlows,
  setUpdateFlows,

  getRunFlows,
  getUpdateFlows
}